﻿@page "/fetchdata"

@using System.Linq;
@inject HttpClient Http

<PageTitle>Lista de Contatos</PageTitle>


@if (listaAgenda == null)
{
    <p><em>Loading...</em></p>
}
else
{

    <div class="col-12">
        <h1>Infome as informações do novo Contato!</h1>
        <div class="col-12">
            <label>Nome: </label><input @bind="Nome" />
            </div> 
            <div class="col-12">
            <label>WhattsApp:</label><input @bind="Zap" />
        </div><br>
        <button class="btn btn-primary" @onclick="ClickAdd">Adicionar</button>
    </div>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nome</th>
                <th>WhattsApp</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var list in listaAgenda)
            {
                <tr>
                    <td>@list.Id</td>
                    <td>@list.Nome</td>
                    <td>@list.Zap</td>
                    <td><button class="btn btn-danger" id="@list.Id" @onclick="(e) => ClickDelete(list.Id)">Excluir</button>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}

@code {
    private Lista[]? listaAgenda;

    private string? Id;
    private string? Nome;

    private string? Zap;

    protected override async Task OnInitializedAsync()
    {
        listaAgenda = await Http.GetFromJsonAsync<Lista[]>("sample-data/agenda.json");
    }

    public void ClickAdd()
    {

        Lista novoContato = new Lista { Id = Guid.NewGuid().ToString(), Nome = this.Nome, Zap = this.Zap };
        // Adicione o novo objeto Lista à listaAgenda
        listaAgenda = listaAgenda.Append(novoContato).ToArray();
    }



    public void ClickDelete(string id)
    {

        Console.WriteLine(id);
        Lista contatoExcluido = listaAgenda.FirstOrDefault(c => c.Id == id);
        if (contatoExcluido != null)
        {
            // Remova o objeto Lista da listaAgenda
            listaAgenda = listaAgenda.Where(c => c.Id != id).ToArray();
        }

    }

    public class Lista
    {

        public string? Id { get; set; }
        public string? Nome { get; set; }
        public string? Zap { get; set; }

    }

}
